### Hierarchy

- LayoutVertex
  - ForceDirectedVertex

This holds ForceDirectedLayout-specific information about Nodes.

This class inherits from LayoutVertex.

## Index

### Constructors

- constructor

### Properties

- charge
- forceX
- forceY
- isFixed
- mass

## Inherited Members

### Properties

- LayoutVertex.bounds
- LayoutVertex.centerX
- LayoutVertex.centerY
- LayoutVertex.data
- LayoutVertex.destinationEdges
- LayoutVertex.destinationVertexes
- LayoutVertex.edges
- LayoutVertex.edgesCount
- LayoutVertex.focus
- LayoutVertex.focusX
- LayoutVertex.focusY
- LayoutVertex.height
- LayoutVertex.network
- LayoutVertex.node
- LayoutVertex.sourceEdges
- LayoutVertex.sourceVertexes
- LayoutVertex.vertexes
- LayoutVertex.width
- LayoutVertex.x
- LayoutVertex.y

### Methods

- LayoutVertex.addDestinationEdge
- LayoutVertex.addSourceEdge
- LayoutVertex.commit
- LayoutVertex.deleteDestinationEdge
- LayoutVertex.deleteSourceEdge

## Constructors

### constructor

- new ForceDirectedVertex(network: ForceDirectedNetwork): ForceDirectedVertex

- This constructs a vertex that does not know about any Node.

  #### Parameters

  - ##### network: ForceDirectedNetwork

  #### Returns ForceDirectedVertex

## Properties

### charge: number

- Gets or sets the electrical charge for this vertex. The default value is NaN.

### forceX: number

- Gets or sets the cumulative force on the vertex in the X direction. The default value is zero.

### forceY: number

- Gets or sets the cumulative force on the vertex in the Y direction. The default value is zero.

### isFixed: boolean

- Gets or sets whether the vertex may be moved by any forces. The default value is false.

### mass: number

- Gets or sets the gravitational mass for this vertex. The default value is NaN.

Copyright © 1998-2022 by Northwoods Software Corporation.